# JSDoc: Class: MultiStairHandler

# Class: MultiStairHandler

## MultiStairHandler(options)

#### new MultiStairHandler(options)

A handler dealing with multiple staircases, simultaneously.

Note that, at the moment, using the MultiStairHandler requires the jsQuest.js library to be loaded as a resource, at the start of the experiment.

##### Parameters:

Name | Type | Description
--- | --- | ---

`options`

Object

the handler options

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`psychoJS` | module:core.PsychoJS |  |  | the PsychoJS instance
`varName` | string |  |  | the name of the variable / intensity / contrast / threshold manipulated by the staircases
`stairType` | module:data.MultiStairHandler.StaircaseType | <optional> | "simple" | the handler type
`conditions` | Array.<Object> | String | <optional> | [undefined] | if it is a string, we treat it as the name of a conditions resource
`method` | module:data.TrialHandler.Method |  |  | the trial method
`nTrials` | number | <optional> | 50 | maximum number of trials
`randomSeed` | number |  |  | seed for the random number generator
`name` | string |  |  | name of the handler
`autoLog` | boolean | <optional> | false | whether or not to log

Source:
  - data/MultiStairHandler.js, line 19

### Extends

- TrialHandler